package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.Star;
import com.goafanti.star.bo.BigShotStarInterest;
import com.goafanti.star.bo.BigShotStarListBo;
import com.goafanti.star.bo.HotStarListBo;

public interface StarMapper {
    int deleteByPrimaryKey(String id);

    int insert(Star record);

    int insertSelective(Star record);

    Star selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Star record);

    int updateByPrimaryKey(Star record);

	List<HotStarListBo> listHostStar();

	List<HotStarListBo> listStarList(String uid);

	void deleteAll();

	void insertBatch(List<Star> startList);

	List<BigShotStarListBo> listBigShotStar();

	List<BigShotStarInterest> findBigShotInterestStatus(String uid);

	List<BigShotStarInterest> findStarInterestStatus(String uid);
}